Bug 443958 - RFE: Upgrade gm4
RFE: Upgrade gm4
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: m4 (Show other bugs)
4.8
All Linux
low Severity low
: rc
: ---
Assigned To: Vitezslav Crhonek
:
Depends On: 443589
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-24 08:01 EDT by Ralf Corsepius
Modified: 2010-03-19 03:32 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-03-18 09:55:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ralf Corsepius 2008-04-24 08:01:52 EDT
As advised, cloning bug for RHEL4

+++ This bug was initially created as a clone of Bug #443589 +++

Description of problem:
According to Eric Blake <ebb9@byu.net> (upstream) gm4, all versions of gm4 prior
to 1.4.11 suffer from serious bugs, which are not unlikely to break autoconf and
to cause autoconf to generate broken configure scripts.

I would recommend to upgrade m4 on all Fedora and RH releases.

Particularily delicate: The versions of m4 as being shipped with RHEL 4 and
below are such kind of old, contemporary autoconf doesn't work on them.
=> Not upgrading m4 on these distros disqualifies RHEL <= 4 
as development environment.


-- Additional comment from vcrhonek@redhat.com on 2008-04-24 04:50 EST --
Ralf, I did no decision in RHEL case. Please file a bug against m4 and
particular RHEL version to let product management consider and prioritize your
request. Do the same with autoconf, if you wish new version in RHEL.
Comment 1 Ondrej Vasik 2010-03-18 09:55:01 EDT
Thanks for suggestion and heads-up. But as 4.9 is the last regular update of RHEL-4 and it's not suitable for rebases nor RFE's, closing that request WONTFIX.
Comment 2 Ralf Corsepius 2010-03-18 10:02:01 EDT
(In reply to comment #1)
> Thanks for suggestion and heads-up. But as 4.9 is the last regular update of
> RHEL-4 and it's not suitable for rebases nor RFE's, closing that request
> WONTFIX.    

Please understand that this kind of update strategy is what causes me to consider RHEL to be unsuitable for development purposes.
Comment 3 Ondrej Vasik 2010-03-19 03:17:43 EDT
Ralf, I see your point, but as update slots are usually very limited and this is not customer driven fix, it had only low chance to make it into RHEL-4. It's very probable that those guys who use RHEL for development purposes will rather use RHEL-5 or will have their own unsupported compiled versions of development tools. There is a lot of devel tools which are in RHEL-4 too old for any development work (including m4, of course).
Comment 4 Ralf Corsepius 2010-03-19 03:32:51 EDT
(In reply to comment #3)
> Ralf, I see your point, but as update slots are usually very limited and this
> is not customer driven fix, it had only low chance to make it into RHEL-4. It's
> very probable that those guys who use RHEL for development purposes will rather
> use RHEL-5 or will have their own unsupported compiled versions of development
> tools.

... or they entirely abandon using Red Hat products and switch away to using a different distro/a different vendor's product.

> There is a lot of devel tools which are in RHEL-4 too old for any
> development work (including m4, of course).    

Exactly, RHEL-4 is way too outdated and RHEL-5 isn't much better.
As I see it, they are aiming at a different market segment, excluding SW development.

On a wider scope, this is what lets me say: RHEL and Fedora EPEL are not a replacement for an Fedora LTS. Fedora's and Red Hat's management is in error to believe so and is not telling the truth when marketing RHEL as such.

Note You need to log in before you can comment on or make changes to this bug.